package com.eftpay.payplugin.eft_payplugin.utils;

import android.annotation.SuppressLint;
import android.util.Log;

import java.text.ParsePosition;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

@SuppressLint("SimpleDateFormat")
public class TimeUtil {
	public static String getTime(int second){
		Calendar calendar = Calendar.getInstance();
		calendar.add(Calendar.SECOND, second);
		Date date = calendar.getTime();
		SimpleDateFormat format = new SimpleDateFormat("yyyyMMddHHmmss");
		return format.format(date);
	}
	public static String getNowTime(){
		Calendar calendar = Calendar.getInstance();
		Date date = calendar.getTime();
		SimpleDateFormat format = new SimpleDateFormat("yyyyMMddHHmmss");
		return format.format(date);
	}
	
	public static String getNowTime(String formatStr){
		Calendar calendar = Calendar.getInstance();
		Date date = calendar.getTime();
		SimpleDateFormat format = new SimpleDateFormat(formatStr);
		return format.format(date);
	}
	public static String getNowTimeAddMinute(int minute){
		Calendar calendar = Calendar.getInstance();
		calendar.add(Calendar.MINUTE, minute);
		Date date = calendar.getTime();
		SimpleDateFormat format = new SimpleDateFormat("yyyyMMddHHmmss");
		return format.format(date);
	}
	public static boolean isIn7day(String day){
		  SimpleDateFormat formatter = new SimpleDateFormat("yyyyMMdd");
		  ParsePosition pos = new ParsePosition(0);
		  Date strtodate = formatter.parse(day, pos);
		  
		  Calendar calendar = Calendar.getInstance();
		  calendar.add(Calendar.DAY_OF_MONTH, -7);
		  calendar.set(Calendar.HOUR_OF_DAY, 0);
		  calendar.set(Calendar.MINUTE, 0);
		  calendar.set(Calendar.SECOND, 0);
		  
		  Calendar calendar2 = Calendar.getInstance();
		  calendar2.set(Calendar.HOUR_OF_DAY, 0);
		  calendar2.set(Calendar.MINUTE, 0);
		  calendar2.set(Calendar.SECOND, 0);
		 
		  return strtodate.after(calendar.getTime())&&strtodate.before(calendar2.getTime());
	}
	
	public static boolean isInaMonth(String day){
		  SimpleDateFormat formatter = new SimpleDateFormat("yyyyMMdd");
		  ParsePosition pos = new ParsePosition(0);
		  Date strtodate = formatter.parse(day, pos);
		  
		  Calendar calendar = Calendar.getInstance();
		  calendar.add(Calendar.MONTH, -1);
		  calendar.add(Calendar.DAY_OF_MONTH, 0);
		  calendar.set(Calendar.HOUR_OF_DAY, 0);
		  calendar.set(Calendar.MINUTE, 0);
		  calendar.set(Calendar.SECOND, 0);
		  
		  Calendar calendar2 = Calendar.getInstance();
		  calendar2.set(Calendar.HOUR_OF_DAY, 0);
		  calendar2.set(Calendar.MINUTE, 0);
		  calendar2.set(Calendar.SECOND, 0);
		 
		  return strtodate.after(calendar.getTime())&&strtodate.before(calendar2.getTime());
	}	
	
	public static String get00Time(String day){
		
		  SimpleDateFormat formatter = new SimpleDateFormat("yyyyMMdd");
		  ParsePosition pos = new ParsePosition(0);
		  Date strtodate = formatter.parse(day, pos);
		
		Calendar calendar = Calendar.getInstance();
		calendar.setTime(strtodate);
		calendar.set(Calendar.HOUR_OF_DAY, 0);
		calendar.set(Calendar.MINUTE, 0);
		calendar.set(Calendar.SECOND, 0);
		Date date = calendar.getTime();
		SimpleDateFormat format = new SimpleDateFormat("yyyyMMddHHmmss");
		return format.format(date);
	}
	public static String get01Time(String day){
		  SimpleDateFormat formatter = new SimpleDateFormat("yyyyMMdd");
		  ParsePosition pos = new ParsePosition(0);
		  Date strtodate = formatter.parse(day, pos);
		Calendar calendar = Calendar.getInstance();
		calendar.setTime(strtodate);
		calendar.set(Calendar.HOUR_OF_DAY, 23);
		calendar.set(Calendar.MINUTE, 59);
		calendar.set(Calendar.SECOND, 59);
		Date date = calendar.getTime();
		SimpleDateFormat format = new SimpleDateFormat("yyyyMMddHHmmss");
		return format.format(date);
	}
	public static String getNowTime12(){
		Calendar calendar = Calendar.getInstance();
		Date date = calendar.getTime();
		SimpleDateFormat format = new SimpleDateFormat("yyMMddHHmmss");
		return format.format(date);
	}
	public static String getNowDate(){
		Calendar calendar = Calendar.getInstance();
		Date date = calendar.getTime();
		SimpleDateFormat format = new SimpleDateFormat("yyyyMMdd");
		return format.format(date);
	}
	
	public static String getDate(int day){
		Calendar calendar = Calendar.getInstance();
		calendar.add(Calendar.DAY_OF_MONTH, day);
		Date date = calendar.getTime();
		SimpleDateFormat format = new SimpleDateFormat("yyyyMMdd");
		return format.format(date);
	}
	public static String getLastMonthDay(){
		Calendar calendar = Calendar.getInstance();
		calendar.add(Calendar.MONTH,-1);
		Date date = calendar.getTime();
		SimpleDateFormat format = new SimpleDateFormat("yyyyMMdd");
		return format.format(date);
	}
	
	
	public static String formatDate(String date){
		 SimpleDateFormat formatter = new SimpleDateFormat("yyyyMMdd");
		 ParsePosition pos = new ParsePosition(0);
		 Date strtodate = formatter.parse(date, pos);
		  
		 SimpleDateFormat format = new SimpleDateFormat("MM/dd/yyyy");
		 return format.format(strtodate);
		  
		
	}
	
	
	public static String getNowDate_(){
		Calendar calendar = Calendar.getInstance();
		Date date = calendar.getTime();
		SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd");
		return format.format(date);
	}
	
	public static String getNowDate_2(){
		Calendar calendar = Calendar.getInstance();
		Date date = calendar.getTime();
		SimpleDateFormat format = new SimpleDateFormat("MM/dd/yyyy");
		return format.format(date);
	}
	
	public static Calendar getDateFromString(String date){
		  SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd");
		  ParsePosition pos = new ParsePosition(0);
		  Calendar calendar = Calendar.getInstance();
		  calendar.setTime(formatter.parse(date,pos));
		  return calendar;
		  
	}
	public static Calendar getDateFromString2(String date){
		  SimpleDateFormat formatter = new SimpleDateFormat("MM/dd/yyyy");
		  ParsePosition pos = new ParsePosition(0);
		  Calendar calendar = Calendar.getInstance();
		  calendar.setTime(formatter.parse(date,pos));
		  return calendar;
		  
	}
	@SuppressWarnings("deprecation")
	public static boolean isTimeCorrect(String time){
		  SimpleDateFormat formatter = new SimpleDateFormat("yyyyMMddHHmmss");
		  ParsePosition pos = new ParsePosition(0);
		  Date strtodate = formatter.parse(time, pos);
		  
		  Calendar calendar = Calendar.getInstance();
		  calendar.add(Calendar.HOUR, 6);
		  Log.i("time--->", calendar.getTime().toGMTString());
		  if(calendar.getTime().before(strtodate)){
			  return false;
		  }
		  calendar.add(Calendar.HOUR, -12);
		  Log.i("time--->", calendar.getTime().toGMTString());
		  if(calendar.getTime().after(strtodate)){
			  return false;
		  }
		  
		  
		  return true;
		 
	}
	public static String formatTime(String time){
		SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
		ParsePosition pos = new ParsePosition(0);
		Date strtodate = formatter.parse(time, pos);
		  
		SimpleDateFormat format = new SimpleDateFormat("yyyyMMddHHmmss");
		return format.format(strtodate);
		 
	}
	
	
	public static String formatTime2(String time){
		SimpleDateFormat formatter = new SimpleDateFormat("yyyyMMddHHmmss");
		ParsePosition pos = new ParsePosition(0);
		Date strtodate = formatter.parse(time, pos);
		  
		SimpleDateFormat format = new SimpleDateFormat("hh:mm aa");
		return format.format(strtodate);
		 
	}
	public static String formatTime3(String time){
		SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
		ParsePosition pos = new ParsePosition(0);
		Date strtodate = formatter.parse(time, pos);
		  
		SimpleDateFormat format = new SimpleDateFormat("hh:mm aa");
		return format.format(strtodate);
		 
	}
	
	public static String formatTime4(String time){
		SimpleDateFormat formatter = new SimpleDateFormat("yyyyMMddHHmmss");
		ParsePosition pos = new ParsePosition(0);
		Date strtodate = formatter.parse(time, pos);
		  
		SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
		return format.format(strtodate);
		 
	}
	public static String formatTime5(String time){
		SimpleDateFormat formatter = new SimpleDateFormat("yyyyMMddHHmmss");
		ParsePosition pos = new ParsePosition(0);
		Date strtodate = formatter.parse(time, pos);
		  
		SimpleDateFormat format = new SimpleDateFormat("MM/dd/yyyy");
		return format.format(strtodate);
		 
	}
	public static String formatTime6(String time){
		SimpleDateFormat formatter = new SimpleDateFormat("yyyyMMddHHmmss");
		ParsePosition pos = new ParsePosition(0);
		Date strtodate = formatter.parse(time, pos);
		  
		SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd");
		return format.format(strtodate);
		 
	}
	public static String formatTime7(String time){
		SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
		ParsePosition pos = new ParsePosition(0);
		Date strtodate = formatter.parse(time, pos);
		Calendar cal = Calendar.getInstance();
		cal.setTime(strtodate);
		
		SimpleDateFormat format = new SimpleDateFormat("HH:mm");
		SimpleDateFormat format2 = new SimpleDateFormat("dd/MM");
		
		Calendar calendar = Calendar.getInstance();
		if(cal.get(Calendar.YEAR)==calendar.get(Calendar.YEAR)
				&&cal.get(Calendar.MONTH)==calendar.get(Calendar.MONTH)
				&&cal.get(Calendar.DAY_OF_MONTH)==calendar.get(Calendar.DAY_OF_MONTH)){
			return "今天 "+format.format(strtodate);
		}else{
			return format2.format(strtodate)+" "+format.format(strtodate);
		}
		
		
		 
	}
	public static String formatTime8(String time){
		SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd");
		ParsePosition pos = new ParsePosition(0);
		Date strtodate = formatter.parse(time, pos);

		SimpleDateFormat format = new SimpleDateFormat("dd-MM-yyyy");
		return format.format(strtodate);

	}

	public static String formatTime9(String time){
		SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
		ParsePosition pos = new ParsePosition(0);
		Date strtodate = formatter.parse(time, pos);

		SimpleDateFormat format = new SimpleDateFormat("MM/dd/yyyy");
		return format.format(strtodate);

	}
}
