package com.eftpay.payplugin.eft_payplugin.utils;

import android.text.TextUtils;

import org.json.JSONException;
import org.json.JSONObject;

import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;


public class SignUtil {

	public static String secret_key = "";
	public static String getKey(){
		return ""+secret_key;
	}



	public static String getSign(Map<String,String> map){
		if(map==null){
			return null;
		}
		List<String> keys = new ArrayList<String>();
		keys.addAll(map.keySet());
		Collections.sort(keys);
		StringBuilder sbuilder = new StringBuilder();
		sbuilder.append(getKey());
		for(int i=0;i<keys.size();i++){
			sbuilder.append(keys.get(i)+"="+map.get(keys.get(i)));
			if(i!=keys.size()-1){
				sbuilder.append("&");
			}
		}
		
		return StringEncrypt.Encrypt(sbuilder.toString(),"");
	}
	@SuppressWarnings("unchecked")
	public static String getSign(JSONObject jo){
		if(jo==null){
			return null;
		}
		try {
			Map<String, String> map = new HashMap<String, String>();
			
			Iterator<String> it = jo.keys();
			while(it.hasNext()){
				String key = it.next();
				if(!"sign".equals(key)){
					map.put(key, jo.getString(key));
				}
			}
			
			return getSign(map);
		} catch (JSONException e) {
			e.printStackTrace();
		} 
		return null;
	}
	
	public static boolean isSign(JSONObject jo){
		if(jo==null){
			return false;
		}
		try {
			if(jo.getString("sign").equals(getSign(jo))){
				return true;
			}
		} catch (JSONException e) {
			e.printStackTrace();
		}
		return false;
	}

	@SuppressWarnings("unchecked")
	public static String getSign2(JSONObject jo, String str){
		if(jo==null){
			return null;
		}
		try {
			Map<String, String> map = new HashMap<String, String>();

			Iterator<String> it = jo.keys();
			while(it.hasNext()){
				String key = it.next();
				if(!"sign".equals(key)){
					if("pay_apptrade".equals(key)){
						String aa = str.substring(str.indexOf("\"pay_apptrade\":"),str.lastIndexOf("}"));
						aa = aa.substring("\"pay_apptrade\":".length(),aa.lastIndexOf("}")+1);
						map.put(key,aa);
					}else {
						map.put(key, jo.getString(key));
					}

				}
			}

			return getSign(map);
		} catch (JSONException e) {
			e.printStackTrace();
		}
		return null;
	}

	public static boolean isSign2(JSONObject jo, String str){
		if(jo==null){
			return false;
		}
		try {
			if(jo.getString("sign").equals(getSign2(jo,str))){
				return true;
			}
		} catch (JSONException e) {
			e.printStackTrace();
		}
		return false;
	}
	
}
