#import "NSString+SHA256.h"
#import <CommonCrypto/CommonDigest.h>

@implementation NSString (SHA256)

- (NSString *)SHA256
{
  //gbk格式加密
  NSStringEncoding gbkEncoding = CFStringConvertEncodingToNSStringEncoding(kCFStringEncodingGB_18030_2000);
  const char *s = [self cStringUsingEncoding:gbkEncoding];//NSUTF8StringEncoding
  NSData *keyData = [NSData dataWithBytes:s length:strlen(s)];

  uint8_t digest[CC_SHA256_DIGEST_LENGTH] = {0};
  CC_SHA256(keyData.bytes, (CC_LONG)keyData.length, digest);
  NSData *out = [NSData dataWithBytes:digest length:CC_SHA256_DIGEST_LENGTH];
//  NSString *hash = [out description];
//  hash = [hash stringByReplacingOccurrencesOfString:@" " withString:@""];
//  hash = [hash stringByReplacingOccurrencesOfString:@"<" withString:@""];
//  hash = [hash stringByReplacingOccurrencesOfString:@">" withString:@""];
//  return hash;
  const unsigned *tokenBytes = [out bytes];
  NSString *token = [NSString stringWithFormat:@"%08x%08x%08x%08x%08x%08x%08x%08x",
                     ntohl(tokenBytes[0]), ntohl(tokenBytes[1]), ntohl(tokenBytes[2]),
                     ntohl(tokenBytes[3]), ntohl(tokenBytes[4]), ntohl(tokenBytes[5]),
                     ntohl(tokenBytes[6]), ntohl(tokenBytes[7])];
  return token;
}



@end
