import 'dart:async';
import 'package:flutter/services.dart';
import 'date_format.dart';
class EftPayplugin {
  static const MethodChannel _channel =
      const MethodChannel('eft_payplugin');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }
  static Future<String> regiest(String appid,String universalLink)async{
    final Map map = new Map();
    map['appid'] = ""+appid;
    map['universalLink'] = ""+universalLink;
    final String result = await _channel.invokeMethod('regiest',map);
    print("regiestResult=$result");
    return result;
  }
  static Future<Map> eftPay(Map map) async {
    final Map result = await _channel.invokeMethod('pay',map);
    print("eftPayResult=$result");
    return result;
  }

  static Future<Map> query(Map map) async {
    final Map result = await _channel.invokeMethod('query',map);
    print("queryResult=$result");
    return result;
  }
  static Future<String> requestDiviceIdPermission() async {
    final String result = await _channel.invokeMethod('request_deviceid_permission');
    print("requestDiviceIdPermission=$result");
    return result;
  }
  static String getOutTradeNo(){
    String out_trade_no = formatDate(DateTime.now(), [yyyy, mm,dd, HH,nn, ss]);
    if(index>999999){
      index = 0;
    }
    String formatString = "${1000000+index}".substring(1);
    index++;
    out_trade_no = out_trade_no + formatString;
    return out_trade_no;
  }
  static int index = 0;
}
